%global pypi_name pyOpenSSL
%global module_name OpenSSL
%global commitId f7e6a4d490359ea8f03ad05c6f8c9eb6462dbbe8

%global common_description %{expand:
Python wrapper module around the OpenSSL library}
%global common_summary %{expand: Python wrapper module around the OpenSSL library}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        23.0.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/pyca/pyopenssl
Source0:        python-pyOpenSSL-f7e6a4d490359ea8f03ad05c6f8c9eb6462dbbe8.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-cryptography >= 38.0.0
Requires:       python%{python3_pkgversion}-cryptography < 40

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 08 2023 James Marshall <jamarsha@redhat.com> 23.0.0-1
- Initial release
